summaryrefslogtreecommitdiffstats
path: root/extra/source/fltk/fltk.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/fltk/fltk.SlackBuild')
-rwxr-xr-xextra/source/fltk/fltk.SlackBuild20
1 files changed, 14 insertions, 6 deletions
diff --git a/extra/source/fltk/fltk.SlackBuild b/extra/source/fltk/fltk.SlackBuild
index 7ed940e33..c866daf18 100755
--- a/extra/source/fltk/fltk.SlackBuild
+++ b/extra/source/fltk/fltk.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fltk
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 2 -d - | rev)}
+VERSION=$(basename $(echo $PKGNAM-*.tar.lz | cut -f 2- -d -) -source.tar.lz)
BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
@@ -36,6 +37,14 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i386" ]; then
@@ -64,7 +73,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -73,10 +81,10 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-${VERSION}-source.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-${VERSION}-source.tar.lz || exit 1
cd $PKGNAM-$VERSION || exit 1
-zcat $CWD/Fl_XFont_On_Demand.patch.gz | patch -p0 --verbose || exit 1
+zcat $CWD/fltk.fltk-config.in.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
@@ -152,5 +160,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz